<?php

namespace Drupal\webform_flexurl_field\Plugin\WebformElement;

use Drupal\Core\Form\FormStateInterface;
use Drupal\webform\Plugin\WebformElement\TextBase;

/**
 * Provides a 'webform_flexurl_field' element.
 *
 * @WebformElement(
 *   id = "webform_flexurl_field",
 *   label = @Translation("URL (flexible)"),
 *   description = @Translation("Provides a webform IBAN field."),
 *   category = @Translation("Advanced elements"),
 * )
 */
class WebformFlexUrlField extends TextBase {

  /**
   * {@inheritdoc}
   */
  public function getDefaultProperties() {
    return parent::getDefaultProperties() + [
      'multiple' => '',
      'size' => '',
      'minlength' => '',
      'maxlength' => '',
      'placeholder' => '',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $form_state) {
    $form = parent::form($form, $form_state);

    return $form;
  }

}
